Hello, and thanks for taking the time to create a pull request! There's just a few things you should be aware of before
you get started.

Firstly, our go-to documentation on how to structure and submit your pull request can be found on the wiki, here:
https://github.com/GlowstoneMC/GlowstonePlusPlus/wiki/PR-Handling

In short, please follow these points:

* Be sure you're following our code style guidelines: https://github.com/GlowstoneMC/GlowstonePlusPlus/wiki/Code-Style
* If your PR is a work-in-progress, you should put [WIP] in the title.
* The title of your PR should be short and sweet - "Adds cows", instead of "This set of commits adds cows and begins the animals implementation".
* Please be descriptive in your initial PR comment. Address your changes in detail, and explain why you made each change.
* If your PR is intended to improve performance, please include benchmarks or other proof.
* PRs that fix bugs are acceptable and encouraged.
* PRs that implement a discreet chunk of a feature instead of the whole feature are acceptable under certain circumstances,
  eg, implementing cows instead of all of the animals.
* PRs that only change whitespace or other styling issues will not be accepted; please bring this to the attention of the
  repository maintainers or contributors instead.
* From time to time, we may go through the open PRs and close any that we deem to be inactive. Feel free to re-open any
  PR that has been closed as a result of this when you work on it again.
    * If you're planning to suspend work on your PR for a period of time (eg, going on holiday), feel free to mention
      this in a comment and we'll take it on board when looking at inactive PRs.
* If multiple people have contributed to the PR, please credit them by @mentioning them in your overall commit message.
* If you don't do it yourself, your PR may be closed and the commits squashed and merged manually by a repository
  maintainer.

If you need to find these points again at a later date, you can find them at the following location:
https://github.com/GlowstoneMC/GlowstonePlusPlus/blob/master/.github/PULL_REQUEST_TEMPLATE.md

When you're ready, please delete this text from your initial PR comment and replace it with your own info. Thanks for
contributing to Glowstone++!
